kubernetes (1.31.4+ds-1) unstable; urgency=medium

  * New upstream version 1.31.4+ds (Closes: #1055411)
    - Fix CVE-2021-25743: ANSI escape characters in kubectl output are not
      being filtered (Closes: #1016441)
    - Fix CVE-2020-8554: Kubernetes API server man in the middle using
      LoadBalancer or ExternalIPs (Closes: #990793)
      ~ The version 1.20.5+really1.20.2-1 used to contain the vulnerability's
        source code, but we removed it during the repack. The binary package
        was not affected
    - Repack to remove all source non related to kubectl (Closes: #1047881)
      ~ Remove folders cmd, staging, hack, docs, third_party and vendor
    - Fix config use-context command segfaults from kubernetes-client
      (kubectl). The autopkgtest d/t/kubectl.sh is covering that scenario.
      (Closes: #990793)
  * d/clean: Remove file after upstream repack cleanup
  * d/compat: Remove obsolete file in favor of debhelper-compat
  * d/control:
    - Add dh-exec to Build-Depends
    - Add Uploaders field
    - Bump debhelper-compat to 13
    - Bump Standards-Version to 4.7.2
    - Create new binary package kubectl to replace kubernetes-client
    - Declare Rules-Requires-Root to no
    - Export kubectl library dev files to new binary package
    - Replace current maintainer to Kubernetes Team
    - Reorder Homepage field and change schema to https
    - Set Vcs-* fields to Kubernetes team Salsa group (Closes: #1086756)
    - Set XS-Go-Import-Path to k8s.io/kubernetes
    - Set kubernetes-client to transitional package
    - Update Build-Depends for the unvendorized build
  * d/copyright:
    - Add comment to debian/*
    - Add Files-Excluded
    - Bump upstream copyright years to 2014-2024
    - Declare Arthur Diniz 2025 debian copyright
    - Declare copyright for authors under translations folder
    - Format Apache-2.0 License content body
  * d/gbp.conf: Create file with dist DEP14 and debian/sid branch
  * d/golang-k8s-kubectl-dev.install: Add installation file for Go source
    directory
  * d/kubectl.install:
    - Only build shell completions if not cross-building
    - Install kubectl and shell completion files (Closes: #994438)
  * d/kubectl.lintian-overrides: Silence unknown-field Static-Built-Using
  * d/kubectl.manpages: Install kubectl manpage
  * d/kubernetes-client*: Remove deprecated binary package related files
  * d/kubernetes-master*: Remove deprecated binary package related files
  * d/kubernetes-node*: Remove deprecated binary package related files
  * d/p/*:
    - Bump evanphx json-patch library to v5
    - Set LANGUAGE env variable for TestDiffProgram
  * d/rules:
    - Build with -buildmode=pie (except on mipsel or mips64el)
    - Define version metadata and LDFLAGS variables
    - Disable DH_VERBOSE by commenting it
    - Generate manpages using help2man in before_dh_installman
    - Include dpkg default.mk
    - Include dpkg pkg-info.mk
    - Override dh_auto_configure to prepare Go build environment manually
    - Override dh_auto_install to skip dh_golang and handle shell completions
    - Remove empty override override_dh_dwz
    - Remove PATH and CGO_ENABLED variables
    - Re-enable dh_auto_test by removing empty override
    - Set build directory and system to golang
    - Set DH_GOPKG and DH_GOLANG_BUILDPKG variables for kubectl
    - Set GOPATH to _build directory
    - Simplify override_dh_auto_build and delegate to dh_auto_build
  * d/salsa-ci.yml: Include pkg-go-tools pipeline
  * d/s/lintian-overrides:
    - Silence missing Built-Using field for kubectl and
      kubernetes-client
    - Silence debhelper-but-no-misc-depends for
      kubernetes-client
  * d/tests/*: Initial autopkgtest suite
  * d/u/metadata: Declared upstream metadata information
  * d/watch: Use GitHub API and filter only versions like v1.*.*

  [ Samuel Henrique ]
  * d/rules: Don't install docs under /usr/share/gocode
  * d/golang-k8s-kubectl-dev.lintian-overrides: Add overrides for
    false-positives on test files

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Thu, 13 Feb 2025 23:44:44 +0000

kubernetes (1.20.5+really1.20.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using golang-go (Closes: #1000980)

 -- Florian Ernst <florian@debian.org>  Sat, 02 Apr 2022 16:49:13 +0200

kubernetes (1.20.5+really1.20.2-1) unstable; urgency=medium

  * This is actually still 1.20.2
  * Only contains the client, for the server binaries see unstable/fasttrack

 -- Janos Lenart <ocsi@debian.org>  Sun, 13 Jun 2021 07:08:18 +0000

kubernetes (1.20.2-1) unstable; urgency=medium

  * New upstream release: 1.20.2

 -- Janos Lenart <ocsi@debian.org>  Thu, 14 Jan 2021 10:55:09 +0000

kubernetes (1.20.0-1) unstable; urgency=medium

  * New upstream release: 1.20.0
  * Fixes CVE-2020-8565

 -- Janos Lenart <ocsi@debian.org>  Wed, 09 Dec 2020 12:33:59 +0000

kubernetes (1.19.4-2) unstable; urgency=medium

  * Updated README.Debian

 -- Janos Lenart <ocsi@debian.org>  Sat, 21 Nov 2020 14:06:21 +0000

kubernetes (1.19.4-1) unstable; urgency=medium

  * New upstream release: 1.19.4

 -- Janos Lenart <ocsi@debian.org>  Tue, 17 Nov 2020 09:30:59 +0000

kubernetes (1.19.3-1) unstable; urgency=medium

  * New upstream release: 1.19.3
  * Building with golang-1.15
  * Fixes CVE-2020-8564, CVE-2020-8566

 -- Janos Lenart <ocsi@debian.org>  Wed, 21 Oct 2020 10:38:41 +0100

kubernetes (1.18.6-1) unstable; urgency=medium

  * New upstream release: 1.18.6
  * (An earlier version, 1.17.4-1 fixes CVE-2019-9946)

 -- Janos Lenart <ocsi@debian.org>  Thu, 16 Jul 2020 10:08:46 +0100

kubernetes (1.18.5-1) unstable; urgency=medium

  * New upstream release: 1.18.5
  * Fixes CVE-2020-8557, CVE-2020-8558, CVE-2020-8559

 -- Janos Lenart <ocsi@debian.org>  Wed, 15 Jul 2020 17:19:40 +0100

kubernetes (1.18.3-1) unstable; urgency=medium

  * New upstream release: 1.18.3
  * Improved build reproducibility

 -- Janos Lenart <ocsi@debian.org>  Tue, 02 Jun 2020 11:18:12 +0000

kubernetes (1.18.2-3) unstable; urgency=medium

  * Bumped Standards-Version
  * Improved build reproducibility

 -- Janos Lenart <ocsi@debian.org>  Fri, 15 May 2020 13:17:53 +0000

kubernetes (1.18.2-2) unstable; urgency=medium

  * Added i386 back

 -- Janos Lenart <ocsi@debian.org>  Sun, 03 May 2020 21:13:17 +0000

kubernetes (1.18.2-1) unstable; urgency=medium

  * New upstream release: 1.18.2

 -- Janos Lenart <ocsi@debian.org>  Sun, 03 May 2020 19:25:37 +0000

kubernetes (1.18.0-1) unstable; urgency=medium

  * New upstream release: 1.18.0

 -- Janos Lenart <ocsi@debian.org>  Sat, 28 Mar 2020 12:58:42 +0000

kubernetes (1.17.4-1) unstable; urgency=high

  * New maintainer (Closes: #886739)
  * New upstream release: 1.17.4 (Closes: #887741)
  * New Debian packaging from scratch. See README.Debian
  * kubernetes-node
    - Moved docker from Depends into Recommends as kubelet can also work with
      rkt, cri-o, etc. (Closes: #872690)
    - Not shipping systemd units for kubelet and kube-proxy for now
  * kubernetes-master
    - Moved etcd from Depends into Recommends as apiserver can also connect to
      a remote etcd/cluster.
    - Not shipping systemd units for kube-apiserver, kube-schedules and
      kube-controller-manager for now

 -- Janos Lenart <ocsi@debian.org>  Sun, 15 Mar 2020 21:46:45 +0000

kubernetes (1.7.16+dfsg-1) unstable; urgency=medium

  [ Michael Stapelberg ]
  * Switch to XS-Go-Import-Path

  [ Dmitry Smirnov ]
  * Resurrected "mergo.patch" that has been mistakenly removed
    (Closes: #878254).
  * Re-enabled safeguard test for the above problem.
  * New upstream release:
    + CVE-2017-1002101 (Closes: #892801)
    + CVE-2017-1002102 (Closes: #894051)
  * Updated Vcs URLs for Salsa.
  * Standards-Version: 4.1.4
  * Build-Depends:
    - golang-go
    + golang-any
    + golang-github-appc-cni-dev
    + golang-github-armon-circbuf-dev
    + golang-github-azure-azure-sdk-for-go-dev
    + golang-github-dgrijalva-jwt-go-v3-dev
    + golang-github-docker-distribution-dev
    + golang-github-docker-docker-dev
    + golang-github-emicklei-go-restful-swagger12-dev
    + golang-github-gogo-protobuf-dev
    + golang-github-gorilla-websocket-dev
    + golang-github-grpc-ecosystem-go-grpc-prometheus-dev
    + golang-github-karlseguin-ccache-dev
    - golang-github-opencontainers-runc-dev
    + golang-github-opencontainers-docker-runc-dev
    + golang-github-pmezard-go-difflib-dev
    + golang-golang-x-time-dev
    + golang-golang-x-tools-dev
    + golang-google-grpc-dev
    + golang-gopkg-warnings.v0-dev
    + golang-goprotobuf-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 06 May 2018 16:20:21 +1000

kubernetes (1.7.7+dfsg-3) unstable; urgency=medium

  * kubernetes-master should depend on etcd (Closes: #855218).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 22 Oct 2017 19:40:46 +0100

kubernetes (1.7.7+dfsg-2) unstable; urgency=medium

  * Use CURDIR, not PWD, unbreaks the build at buildds.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 06 Oct 2017 19:25:45 +0200

kubernetes (1.7.7+dfsg-1) unstable; urgency=medium

  [ Tim Potter ]
  * Open work for new release
  * Remove unused Files-Excluded entries from d/copyright
  * Remove Skydns B-D as no longer used
  * Don't build on ppc64 or ppc64le architectures

  [ Andrew Shadura ]
  * New upstream release.
  * Refresh patches.
  * Update build dependencies.
  * Symlink vendor packages to the build directory.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 06 Oct 2017 18:54:06 +0200

kubernetes (1.5.5+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Don't build on ppc64le due to Go linker problems. See GitHub issue
    https://github.com/golang/go/issues/15823.
  * Don't build on ppc64 as it's not supported by upstream at the
    moment. (Closes: #860505)

 -- Tim Potter <tpot@hpe.com>  Sat, 03 Jun 2017 08:00:51 +1000

kubernetes (1.5.5+dfsg-1) unstable; urgency=low

  [ Dmitry Smirnov ]
  * Switch to bundled "rkt".
  * rules: remove "-p" option from build and test overrides.
  * control: drop obsolete "golang-clockwork-dev" alternative.
  * New patch to disable test failing on [armel].
  * Upload to unstable.

  [ Tim Potter ]
  * New upstream version. [March 2017]
  * Big updates to d/rules and d/copyright to update to upstream
    changes made since the 1.2.x release.
  * Refresh patches to bring up to date with upstream changes since
    1.2.x.
  * control: add lsb-base as dependency for sysvinit scripts.
  * Suppress spelling-error-in-binary Lintian messages.

 -- Tim Potter <tpot@hpe.com>  Thu, 13 Apr 2017 16:45:57 +1000

kubernetes (1.2.5+dfsg-1) experimental; urgency=medium

  * New upstream release [June 2016].
  * Switch to private "github.com/golang/glog" due to log noise.
  * Disabled failing tests; no longer ignore failures in tests.
  * Build/test using 2 cores only.
  * New patch to update appc/cni name space (fixes FTBFS).
  * Removed obsolete "spf13-cobra.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 03 Jul 2016 04:12:28 +1000

kubernetes (1.2.4+dfsg-2) experimental; urgency=medium

  * Added new patch to fix incompatibility with "imdario/mergo" v0.2.2
    (Closes: #825753).
    Thanks, Florian Ernst.
  * Enable tests but ignore failures for now.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 17 Jun 2016 01:41:38 +1000

kubernetes (1.2.4+dfsg-1) experimental; urgency=medium

  * New upstream release [May 2016].
  * New patch to print output of "uname -m" on unsupported architectures.
  * New "docker.patch" to fix potential FTBFS.
    + Build-Depends += "golang-github-docker-distribution-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 15 Jun 2016 21:03:01 +1000

kubernetes (1.2.3+dfsg-1) experimental; urgency=low

  * Initial release (Closes: #795652).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 25 Apr 2016 22:40:12 +1000
